package cz.muni.fi.pa165.icehockeymanager.config;

import com.github.dozermapper.core.DozerBeanMapperBuilder;
import com.github.dozermapper.core.Mapper;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.transaction.annotation.EnableTransactionManagement;


@Configuration
@EnableTransactionManagement
@EnableJpaRepositories
@Import(PersistanceApplicationConfig.class)
@ComponentScan(basePackages = "cz.muni.fi.pa165.icehockeymanager")
public class ApplicationConfig {

    @Bean
    public Mapper dozer() {
        var mapperBuilder = DozerBeanMapperBuilder.create();
        mapperBuilder.withMappingBuilder(new DozerConfig());
        return mapperBuilder.build();
    }

}
