import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { GamesComponent } from './components/games/games.component';
import { TeamsComponent } from './components/teams/teams.component';
import { PlayersComponent } from './components/players/players.component';
import { AllplayersComponent } from './components/allplayers/allplayers.component';
import { TeamPlayersComponent } from './components/team-players/team-players.component';
import { AllGamesComponent } from './components/all-games/all-games.component';
import { DeleteGameButtonComponent } from './components/delete-game-button/delete-game-button.component';
import { CreateGameFormComponent } from './components/create-game-form/create-game-form.component';
import { UpdateGameScoreFormComponent } from './components/update-game-score-form/update-game-score-form.component';
import { CreateTeamFormComponent } from './components/create-team-form/create-team-form.component';
import { RecruitNewPlayerFormComponent } from './components/recruit-new-player-form/recruit-new-player-form.component';
import { RecruitVeteranPlayerFormComponent } from './components/recruit-veteran-player-form/recruit-veteran-player-form.component';

@NgModule({
  declarations: [
    AppComponent,
    GamesComponent,
    TeamsComponent,
    PlayersComponent,
    AllplayersComponent,
    TeamPlayersComponent,
    AllGamesComponent,
    DeleteGameButtonComponent,
    CreateGameFormComponent,
    UpdateGameScoreFormComponent,
    CreateTeamFormComponent,
    RecruitNewPlayerFormComponent,
    RecruitVeteranPlayerFormComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
