import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TeamsComponent } from './teams/teams.component';
import { GamesComponent } from './games/games.component';
import { PlayersComponent } from './players/players.component';
import { AllplayersComponent } from './allplayers/allplayers.component';
import { TeamPlayersComponent } from './team-players/team-players.component';
import { AllGamesComponent } from './all-games/all-games.component';
import { DeleteGameButtonComponent } from './delete-game-button/delete-game-button.component';
import { CreateGameFormComponent } from './create-game-form/create-game-form.component';
import { UpdateGameScoreFormComponent } from './update-game-score-form/update-game-score-form.component';
import { CreateTeamFormComponent } from './create-team-form/create-team-form.component';
import { RecruitNewPlayerFormComponent } from './recruit-new-player-form/recruit-new-player-form.component';
import { RecruitVeteranPlayerFormComponent } from './recruit-veteran-player-form/recruit-veteran-player-form.component';


@NgModule({
  declarations: [
    TeamsComponent,
    GamesComponent,
    PlayersComponent,
    AllplayersComponent,
    TeamPlayersComponent,
    AllGamesComponent,
    DeleteGameButtonComponent,
    CreateGameFormComponent,
    UpdateGameScoreFormComponent,
    CreateTeamFormComponent,
    RecruitNewPlayerFormComponent,
    RecruitVeteranPlayerFormComponent
  ],
  imports: [
    CommonModule
  ],
  exports: [
    TeamsComponent,
    GamesComponent,
    PlayersComponent,
    AllplayersComponent,
    TeamPlayersComponent
  ]
})
export class ComponentsModule { }
