import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';
import { CreatePlayer } from '../models/create-player';
import { Player } from '../models/player';
import { Team } from '../models/team';

@Injectable({
  providedIn: 'root'
})
export class PlayerService {

  freePlayers: Player[] = [
    {id: 4, name: "Bobby Orr"},
    {id: 5, name: "Wayne Gretzky"},
    {id: 6, name: "Denis Potvin"}
  ];

  players: Player[] = [
    {id: 1, name: "Sidney Cosby"},
    {id: 2, name: "Alexander Ovechkin"},
    {id: 3, name: "Gordie Howe"},
    {id: 4, name: "Bobby Orr"},
    {id: 5, name: "Wayne Gretzky"},
    {id: 6, name: "Denis Potvin"}
  ];

  constructor() { }

  getPlayers() : Observable<Player[]> {
    return of(this.players);
  }

  getFreePlayers() : Observable<Player[]> {
    return of(this.freePlayers);
  }

  getPlayersForTeam(id: number) : Observable<Player[]> {
    if (id === 1) {
      return of([this.players[0], this.players[1]]);
    } else {
      return of([]);
    }
  }

  recruitPlayer(player: CreatePlayer, team: Team) : void {
    
  }

  recruitVeteranPlayer(player: Player, team: Team) : void {
    
  }
}
